<?php
namespace Teknisa\MAN\Controllers;

use Teknisa\MAN\Services\ManageDashboardService;
use Zeedhi\Framework\DTO;

class ManageDashboardController{    

    /** 
     * @var AlmoxarifadoPDVService
     */
    protected $ManageDashboardService;


    public function __construct ($ManageDashboardService) {
        $this->ManageDashboardService = $ManageDashboardService;
    }
    
    public function getVendasMensais(DTO\Request\Filter $request, DTO\Response $response){
        $retorno = $request->getFilterCriteria()->getConditions();
        $CDFILIAL = $retorno[1]['value'];
        $NRORG = $retorno[0]['value'];
        $retornoTurnos = $this->ManageDashboardService->getVendasMensais($CDFILIAL,$NRORG);
        $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('getVendasMensais', $retornoTurnos));
    
    }
    
    public function getVendasDiarias(DTO\Request\Filter $request, DTO\Response $response){
        $retorno = $request->getFilterCriteria()->getConditions();
        $NRORG   =   $retorno[0]['value'];
        $CDFILIAL   =   $retorno[1]['value'];
        $currentTime = new \DateTime(null,new \DateTimeZone('America/Sao_Paulo'));
        $DTENTRVENDA = $currentTime->format("d/m/Y");
        $retornoTurnos = $this->ManageDashboardService->getVendasDiarias($CDFILIAL,$DTENTRVENDA,$NRORG);
        $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('getVendasDiarias', $retornoTurnos));
    }
    
    public function getProdutosMaisVendidos(DTO\Request\Filter $request, DTO\Response $response){
        $retorno = $request->getFilterCriteria()->getConditions();
        $NRORG   =   $retorno[1]['value'];
        $CDFILIAL   =   $retorno[0]['value'];
        $currentTime = new \DateTime(null,new \DateTimeZone('America/Sao_Paulo'));
        $DTENTRVENDA = $currentTime->format("d/m/Y");
        $retornoTurnos = $this->ManageDashboardService->getProdutosMaisVendidos($CDFILIAL,$DTENTRVENDA,$NRORG);
        $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('getProdutosMaisVendidos', $retornoTurnos));
    }
    
}